%define upstream_name    IO-Compress
%define upstream_version 2.049

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    IO Interface to compressed data files/buffers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

# perl provides this one unversionned
#BuildRequires: perl(Compress::Raw::Bzip2) >= 2.21.0

BuildRequires: perl(Compress::Raw::Bzip2) >= 2.49.0
BuildRequires: perl(Compress::Raw::Zlib) >= 2.49.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl-Compress-Raw-Bzip2    >= 2.30.0
BuildRequires: perl-devel
Obsoletes:  perl-Compress-Zlib
Obsoletes:  perl-IO-Compress-Base
Obsoletes:  perl-IO-Compress-Bzip2
Obsoletes:  perl-IO-Compress-Zlib

%description
This distribution provides a Perl interface to allow reading and writing of
compressed data created with the zlib and bzip2 libraries.

IO-Compress supports reading and writing of bzip2, RFC 1950, RFC
1951, RFC 1952 (i.e. gzip) and zip files/buffers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{_bindir}/zipdetails
%{_mandir}/man1/zipdetails.1.xz
%{perl_vendorlib}/Compress
%{perl_vendorlib}/File
%{perl_vendorlib}/IO

%changelog

* Tue Mar 06 2012 jquelin <jquelin> 2.49.0-1.mga2
+ Revision: 219971
- update to 2.049

* Wed Jan 04 2012 jquelin <jquelin> 2.46.0-1.mga2
+ Revision: 190562
- update to 2.046

* Mon Dec 05 2011 kharec <kharec> 2.45.0-1.mga2
+ Revision: 177020
- update to 2.045

* Sun Dec 04 2011 kharec <kharec> 2.44.0-1.mga2
+ Revision: 175783
- update to 2.044

* Sat Dec 03 2011 kharec <kharec> 2.43.0-1.mga2
+ Revision: 175674
- update to 2.043

* Sat Nov 19 2011 kharec <kharec> 2.42.0-1.mga2
+ Revision: 169313
- update to 2.042

* Sat Nov 05 2011 kharec <kharec> 2.40.0-1.mga2
+ Revision: 163609
- update to 2.040

* Fri Nov 04 2011 jquelin <jquelin> 2.37.0-2.mga2
+ Revision: 162791
- take priority over module bundled with perl 5.14.2

* Wed Jun 22 2011 jquelin <jquelin> 2.37.0-1.mga2
+ Revision: 112348
- update to 2.037

* Wed Jun 22 2011 jquelin <jquelin> 2.36.0-1.mga2
+ Revision: 112280
- update to 2.036

* Fri Jun 17 2011 jquelin <jquelin> 2.35.0-1.mga2
+ Revision: 109002
- update to 2.035

* Fri Feb 18 2011 jquelin <jquelin> 2.33.0-2.mga1
+ Revision: 53697
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 2.33.0-1.mga1
+ Revision: 52684
- update to 2.033

* Sat Jan 22 2011 jquelin <jquelin> 2.30.0-5.mga1
+ Revision: 32750
- rebuild
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 2.30.0-4.mga1
+ Revision: 12197
- imported package perl-IO-Compress


* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 2.30.0-4mdv2011.0
+ Revision: 562529
- rebuild
- rebuild

* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 2.30.0-2mdv2011.0
+ Revision: 561026
- rebuild
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - new version

* Mon Jul 12 2010 Jérôme Quelin <jquelin@mandriva.org> 2.27.0-1mdv2011.0
+ Revision: 551221
- update to 2.027

* Fri Apr 09 2010 Jérôme Quelin <jquelin@mandriva.org> 2.26.0-1mdv2010.1
+ Revision: 533385
- update to 2.026

* Tue Mar 30 2010 Jérôme Quelin <jquelin@mandriva.org> 2.25.0-1mdv2010.1
+ Revision: 529773
- update to 2.025

* Sun Jan 10 2010 Jérôme Quelin <jquelin@mandriva.org> 2.24.0-1mdv2010.1
+ Revision: 488841
- update to 2.024

* Tue Nov 10 2009 Jérôme Quelin <jquelin@mandriva.org> 2.23.0-1mdv2010.1
+ Revision: 464053
- update to 2.023

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 2.22.0-1mdv2010.1
+ Revision: 461772
- update to 2.022

* Tue Sep 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.21.0-1mdv2010.0
+ Revision: 433069
- hardcode perl-Compress-Raw-Bzip2 dependency, as perl provides the virtual package unversioned

  + Jérôme Quelin <jquelin@mandriva.org>
    - bumping buildrequires: version requirement
    - update to 2.021

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.020-1mdv2010.0
+ Revision: 383486
- update to new version 2.020

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.019-2mdv2010.0
+ Revision: 371952
- obsoletes merged packages

* Mon May 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.019-1mdv2010.0
+ Revision: 371928
- import perl-IO-Compress


* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> v0.99.4-1mdv2009.0
- first mdv release
